Package com.dropbox.core.v2.team
Class LegalHoldsUpdatePolicyBuilder
java.lang.Object
com.dropbox.core.v2.team.LegalHoldsUpdatePolicyBuilder
The request builder returned by
DbxTeamTeamRequests.legalHoldsUpdatePolicyBuilder(java.lang.String).
Use this class to set optional request parameters and complete the request.
-
Method Summary
Modifier and TypeMethodDescriptionstart()Issues the request.withDescription(String description) Set value for optional field.withMembers(List<String> members) Set value for optional field.Set value for optional field.
-
Method Details
-
withName
Set value for optional field.- Parameters:
name- Policy new name. Must have length of at most 140.- Returns:
- this builder
- Throws:
IllegalArgumentException- If any argument does not meet its preconditions.
-
withDescription
Set value for optional field.- Parameters:
description- Policy new description. Must have length of at most 501.- Returns:
- this builder
- Throws:
IllegalArgumentException- If any argument does not meet its preconditions.
-
withMembers
Set value for optional field.- Parameters:
members- List of team member IDs to apply the policy on. Must not contain anullitem.- Returns:
- this builder
- Throws:
IllegalArgumentException- If any argument does not meet its preconditions.
-
start
Issues the request.
-